spring.datasource.url=jdbc:h2:mem:globaldb

spring.jpa.database-platform=org.hibernate.dialect.H2Dialect

spring.jpa.hibernate.ddl-auto=create-drop
spring.jpa.generate-ddl=true
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.username=sa
spring.datasource.password=password
spring.h2.console.enabled=true
jwt.secret=global
server.port: 8080

#Custom configs
userusecase.password.format = .{1,}
userusecase.email.format = ^([0-9a-zA-Z]+[-._+&])*[0-9a-zA-Z]+@([-0-9a-zA-Z]+[.])+[a-zA-Z]{2,6}$
show.headers = false

service.externalservice.showerrors=true
service.externalservice.headers.Content-Type=application/json
service.externalservice.endpoint.signup.url=/sign-up
service.externalservice.base.url=http://localhost:8081
